Page MenuHomePhabricator

Block messages are being populated from translatewiki even if a local version exists
Open, HighPublic

Description

We have a local copy of this message on trwiki but the translatewiki version is being displayed on Special:Block.

Event Timeline

Superyetkin raised the priority of this task from to High.
Superyetkin updated the task description. (Show Details)
Superyetkin added a project: MediaWiki-General.
Superyetkin added a subscriber: Superyetkin.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 15 2015, 12:12 PM

Confirmed as MessageCache related issue:

mwscript eval.php trwiki
> echo wfMessage( 'ipbreason-dropdown' )->inContentLanguage()->plain();
*Genel engelleme nedenleri
** Yanlış bilgi eklemek
** Sayfalardan içeriği çıkarmak
** Dış sitelere spam bağlantı vermek
** Sayfalara mantıksız/anlaşılmaz sözler eklemek
** Tehditvari davranış/Taciz
** Birden fazla hesabı kötüye kullanmak
** Kabul edilemez kullanıcı adı

The page has not been edited recently: https://tr.wikipedia.org/w/index.php?title=MediaWiki:Ipbreason-dropdown&action=history

Potentially an issue with Turkish ucfirst. For example, manually constructing url such as https://tr.wikipedia.org/w/index.php?title=MediaWiki:ipbreason-dropdown&action=history goes to different page.

Nemo_bis set Security to None.
Nemo_bis added a subscriber: Nemo_bis.

Is there any chance we can disable caching for a particular page? This issue is blocking trwiki now.

Ah, right. Core interfaces message are keyed in English, not content language. So we'd need to use plain ucfirst() instead.

Except for custom messages used via gadgets and int, it might be different. Since MediaWiki does by default redirect page titles to content language ucfirst, not English. E.g. https://tr.wikipedia.org/w/index.php?title=MediaWiki:ipbreason-dropdown&action=history (English lowercase "i") renders for https://tr.wikipedia.org/w/index.php?title=MediaWiki:%C4%B0pbreason-dropdown&action=history (Turkish uppercase I).

Superyetkin closed this task as Resolved.Nov 20 2015, 8:36 PM
Superyetkin claimed this task.

Moving the page to MediaWiki:İpbreason-dropdown solved the issue. Thanks.

Nemo_bis changed the task status from Resolved to Declined.Nov 20 2015, 8:40 PM

Code was not changed, hence this can't be "Resolved".

Nikerabbit reopened this task as Open.Nov 21 2015, 9:16 AM

A code fix has been proposed, hence this can't be "Declined".